/***************************************************************************
                          kxe_viewattributes.h  -  description
                             -------------------
    begin                : Thu Nov 22 2001
    copyright            : (C) 2001 by The KXMLEditor Team
    email                : lvanek@eanet.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KXE_VIEWATTRIBUTES_H
#define KXE_VIEWATTRIBUTES_H

#include <qtable.h>

class QDomElement;

/**
 * @author The KXMLEditor Team
 */
class KXE_ViewAttributes : public QTable
{
		Q_OBJECT

	public:

		KXE_ViewAttributes( int iRows, int iCols, QWidget * pParent = 0, const char * pszName = 0 );

		/** Changes the behaviour of this view to readonly or readwrite. */
		void setReadWrite( bool fReadWrite );

	public slots:

		/** Changes/Rebuilds the whole table according to the given element's attributes. */
		void slotChange( const QDomElement & element );

	protected:

		/** Called, when mouse event occurs in widget */
		virtual void contentsMousePressEvent(QMouseEvent *);

	signals:

		/** Emited, when user press right mouse button */
		void sigRightButtonPressed(const QPoint&);

};

#endif
